## com.sun.grizzly
Class DefaultConnectorHandlerPool

    java.lang.Object
      com.sun.grizzly.DefaultConnectorHandlerPool

All Implemented Interfaces:
  ConnectorHandlerPool<ConnectorHandler>

    public class DefaultConnectorHandlerPool

extends Object
implements ConnectorHandlerPool<ConnectorHandler>

Simple `ConnectorHandlerPool` implementation

Author:
  Alexey Stashok

Constructor Summary
`DefaultConnectorHandlerPool(Controller controller)`

Method Summary
`ConnectorHandler` `acquireConnectorHandler(Controller.Protocol protocol)` Return an instance of `ConnectorHandler`, which corresponds to the protocol
`void` `releaseConnectorHandler(ConnectorHandler connectorHandler)` Release a ConnectorHandler.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultConnectorHandlerPool

    public DefaultConnectorHandlerPool(Controller controller)

Method Detail

### acquireConnectorHandler

    public ConnectorHandler acquireConnectorHandler(Controller.Protocol protocol)

  Description copied from interface: `ConnectorHandlerPool`
  Return an instance of `ConnectorHandler`, which corresponds to the protocol

  Specified by:
    `acquireConnectorHandler` in interface `ConnectorHandlerPool<ConnectorHandler>`
  Parameters:
    `protocol` - a `Controller.Protocol`
  Returns:
    `ConnectorHandler`

### releaseConnectorHandler

    public void releaseConnectorHandler(ConnectorHandler connectorHandler)

  Description copied from interface: `ConnectorHandlerPool`
  Release a ConnectorHandler.

  Specified by:
    `releaseConnectorHandler` in interface `ConnectorHandlerPool<ConnectorHandler>`
  Parameters:
    `connectorHandler` - - a `ConnectorHandler`

Copyright © 2008 SUN Microsystems. All Rights Reserved.